> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kas.fyi/llms.txt
> Use this file to discover all available pages before exploring further.

# Get fee estimate

> Retrieves fee estimation data from the node.

## Cost

This endpoint costs **0.1 RU** (Request Units) per call.


## OpenAPI

````yaml GET /v1/rpc/getFeeEstimate
openapi: 3.0.0
info:
  title: Kaspa Developer Platform (KDP) API
  description: >-
    A high-performance REST API providing real-time and historical data from the
    Kaspa blockchain
  version: '1.0'
  contact: {}
servers:
  - url: https://api.kas.fyi
    description: Mainnet API
security: []
tags:
  - name: Address
    description: Operations related to Kaspa addresses
  - name: Block
    description: Operations related to Kaspa blocks
  - name: Transaction
    description: Operations related to Kaspa transactions
  - name: Token
    description: Operations related to KRC20 tokens
  - name: Kaspa Node RPC Proxy
    description: Direct proxy to Kaspa node RPC methods
paths:
  /v1/rpc/getFeeEstimate:
    get:
      tags:
        - Kaspa Node RPC Proxy
      summary: Get fee estimate
      description: Retrieves fee estimation data from the node.
      operationId: RpcController_getFeeEstimate
      parameters: []
      responses:
        '200':
          description: Fee estimate retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RpcGetFeeEstimateResponseDto'
      security:
        - x-api-key: []
components:
  schemas:
    RpcGetFeeEstimateResponseDto:
      type: object
      properties:
        estimate:
          description: Fee estimate information
          allOf:
            - $ref: '#/components/schemas/RpcFeeEstimateDto'
      required:
        - estimate
    RpcFeeEstimateDto:
      type: object
      properties:
        priorityBucket:
          description: Top-priority feerate bucket for sub-second DAG inclusion
          allOf:
            - $ref: '#/components/schemas/RpcFeerateBucketDto'
        normalBuckets:
          description: Normal priority feerate values for sub-minute DAG inclusion
          type: array
          items:
            $ref: '#/components/schemas/RpcFeerateBucketDto'
        lowBuckets:
          description: Low priority feerate values for sub-hour DAG inclusion
          type: array
          items:
            $ref: '#/components/schemas/RpcFeerateBucketDto'
      required:
        - priorityBucket
        - normalBuckets
        - lowBuckets
    RpcFeerateBucketDto:
      type: object
      properties:
        feerate:
          type: number
          description: >-
            The fee/mass ratio estimated to be required for inclusion time <=
            estimatedSeconds
          example: 1.5
        estimatedSeconds:
          type: number
          description: >-
            The estimated inclusion time for a transaction with fee/mass =
            feerate
          example: 30
      required:
        - feerate
        - estimatedSeconds
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        API key required for authentication. Get your API key at
        https://developer.kas.fyi

````